Bug Hunting Session
Bug 90740 - Error "osl::Thread::Create failed" occurs when LanguageTool 2.9 is installed and big document is open.
Summary: Error "osl::Thread::Create failed" occurs when LanguageTool 2.9 is installed ...
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-20 08:28 UTC by Yakov
Modified: 2015-05-18 11:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Error message (31.13 KB, image/jpeg)
2015-04-20 08:28 UTC, Yakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yakov 2015-04-20 08:28:49 UTC
Created attachment 114954 [details]
Error message

Error "osl::Thread::Create failed" occurs when LanguageTool 2.9 is installed on LO 4.4.2 (or 4.4.1) and big document  (300+ pages) is open.
Sometimes I get OutOfMemoryError (see attachment).

After that LO crashed.

This error is not occur when LT2.8 is installed,
or LT 2.9 is installed on Apache Open Office 4.1


http://sourceforge.net/p/languagetool/mailman/message/33843342/
Comment 1 Daniel Naber 2015-04-20 15:35:05 UTC
Maybe you could use git bisect (http://git-scm.com/docs/git-bisect) on LT's code to see when the change has been introduced? Or maybe as a first step you could find out how much memory the JVM has in the LO context.
Comment 2 Yakov 2015-05-12 08:24:28 UTC
Fixed in LanguageTool daily build from 11 May 2015:
http://www.languagetool.org/download/snapshots/LanguageTool-20150511-snapshot.oxt
Comment 3 Daniel Naber 2015-05-14 19:55:40 UTC
This is also fixed in LanguageTool 2.9.1, released today.
Comment 4 Buovjaga 2015-05-18 11:05:59 UTC
(In reply to Daniel Naber from comment #3)
> This is also fixed in LanguageTool 2.9.1, released today.

Thanks! I'll set this to NOTOURBUG as I can't think of anything better.